CVE-2000-1205
CVSS4.3
发布时间 :2000-02-01 00:00:00
修订时间 :2008-09-05 16:22:54
NMCO    

[原文]Cross site scripting vulnerabilities in Apache 1.3.0 through 1.3.11 allow remote attackers to execute script as other web site visitors via (1) the printenv CGI (printenv.pl), which does not encode its output, (2) pages generated by the ap_send_error_response function such as a default 404, which does not add an explicit charset, or (3) various messages that are generated by certain Apache modules or core code. NOTE: the printenv issue might still exist for web browsers that can render text/plain content types as HTML, such as Internet Explorer, but CVE regards this as a design limitation of those browsers, not Apache. The printenv.pl/acuparam vector, discloser on 20070724, is one such variant.


[CNNVD]Apache printenv样例脚本跨站脚本执行漏洞(CNNVD-200002-010)

        
        Apache是开放源代码广泛使用的WEB服务程序。
        Apache包含的'printenv'脚本对用户输入请求缺少正确过滤,远程攻击者可以利用这个漏洞进行跨站脚本攻击,获得目标用户敏感信息。
        'printenv'是位于"/cgi-bin/"目录下的测试CGI脚本,可以打印环境变量信息。脚本对用户的WEB请求缺少过滤,构建带有恶意HTML代码的链接,诱使用户点击,可导致脚本代码在目标用户浏览器上执行,可以造成基于Cookie认证的敏感信息泄露或进行其他非法活动。
        

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

cpe:/a:apache:http_server:1.3.5Apache Software Foundation Apache HTTP Server 1.3.5
cpe:/a:apache:http_server:1.3.10Apache Software Foundation Apache 1.3.10
cpe:/a:apache:http_server:1.3.7Apache Software Foundation Apache HTTP Server 1.3.7
cpe:/a:apache:http_server:1.3.0Apache Software Foundation Apache HTTP Server 1.3.0
cpe:/a:apache:http_server:1.3.9Apache Software Foundation Apache HTTP Server 1.3.9
cpe:/a:apache:http_server:1.3.3Apache Software Foundation Apache HTTP Server 1.3.3
cpe:/a:apache:http_server:1.3.11Apache Software Foundation Apache HTTP Server 1.3.11
cpe:/a:apache:http_server:1.3.1Apache Software Foundation Apache HTTP Server 1.3.1
cpe:/a:apache:http_server:1.3.8Apache Software Foundation Apache HTTP Server 1.3.8
cpe:/a:apache:http_server:1.3.2Apache Software Foundation Apache HTTP Server 1.3.2
cpe:/a:apache:http_server:1.3.6Apache Software Foundation Apache HTTP Server 1.3.6
cpe:/a:apache:http_server:1.3.4Apache Software Foundation Apache HTTP Server 1.3.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-1205
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-1205
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200002-010
(官方数据源) CNNVD

- 其它链接及资源

http://httpd.apache.org/info/css-security/apache_specific.html
(VENDOR_ADVISORY)  CONFIRM  http://httpd.apache.org/info/css-security/apache_specific.html
http://xforce.iss.net/xforce/xfdb/35597
(UNKNOWN)  XF  apache-printenv-acuparam-xss(35597)
http://xforce.iss.net/xforce/xfdb/10938
(UNKNOWN)  XF  apache-printenv-xss(10938)
http://marc.info/?l=bugtraq&m=118529436424127&w=2
(UNKNOWN)  BUGTRAQ  20070724 printenv.pl(all versions) cross site scripting Vulnerability
http://archives.neohapsis.com/archives/bugtraq/2002-12/0233.html
(UNKNOWN)  BUGTRAQ  20021222 'printenv' XSS vulnerability
http://archive.cert.uni-stuttgart.de/bugtraq/2002/12/msg00243.html
(UNKNOWN)  BUGTRAQ  20021223 Re: 'printenv' XSS vulnerability

- 漏洞信息

Apache printenv样例脚本跨站脚本执行漏洞
中危 未知
2000-02-01 00:00:00 2005-10-20 00:00:00
远程  
        
        Apache是开放源代码广泛使用的WEB服务程序。
        Apache包含的'printenv'脚本对用户输入请求缺少正确过滤,远程攻击者可以利用这个漏洞进行跨站脚本攻击,获得目标用户敏感信息。
        'printenv'是位于"/cgi-bin/"目录下的测试CGI脚本,可以打印环境变量信息。脚本对用户的WEB请求缺少过滤,构建带有恶意HTML代码的链接,诱使用户点击,可导致脚本代码在目标用户浏览器上执行,可以造成基于Cookie认证的敏感信息泄露或进行其他非法活动。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 删除printenv脚本。
        厂商补丁:
        Apache Software Foundation
        --------------------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://httpd.apache.org/info/css-security/apache_1.3.11_css_patch.txt

- 漏洞信息

143
Apache HTTP Server printenv.pl Multiple Method CGI XSS
Remote / Network Access Input Manipulation
Loss of Integrity Solution Unknown

- 漏洞描述

- 时间线

2002-12-22 Unknow
2002-12-22 Unknow

- 解决方案

OSVDB is not aware of a solution for this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站